import { defineComponent, toRefs, openBlock, createElementBlock, createElementVNode, createVNode, unref, pushScopeId, popScopeId } from "vue";
import _imports_0 from "./images/biao.mjs";
import _sfc_main$1 from "../../../NComponents/configCommon/refConfig.mjs";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _withScopeId = (n) => (pushScopeId("data-v-c6a5d952"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "title02" };
const _hoisted_2 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("img", { src: _imports_0 }, null, -1));
const _hoisted_3 = { class: "titleText" };
const _hoisted_4 = { class: "value" };
const _hoisted_5 = { class: "unitText" };
const __default__ = defineComponent({ name: "ETitle02" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { titleConfig, unitConfig, valueConfig } = toRefs(
      props.chartConfig.option
    );
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        _hoisted_2,
        createElementVNode("div", _hoisted_3, [
          createVNode(_sfc_main$1, {
            config: unref(titleConfig),
            type: "text"
          }, null, 8, ["config"])
        ]),
        createElementVNode("div", _hoisted_4, [
          createVNode(_sfc_main$1, {
            config: unref(valueConfig),
            type: "number"
          }, null, 8, ["config"])
        ]),
        createElementVNode("div", _hoisted_5, [
          createVNode(_sfc_main$1, {
            config: unref(unitConfig),
            type: "text"
          }, null, 8, ["config"])
        ])
      ]);
    };
  }
});
var _ETitle02 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-c6a5d952"]]);
export { _ETitle02 as default };
